---
schema_version: "1"
id: 249ce8062890f97b36c8f32081bb83987382e5ba0c3eac1337227e0c43a6a362
title: Using SSL-Tableau Server REST API
collection: tableau
version: next
locale: en-us
portal_url: https://docs.salesforce.com/tableau/next/en-us/api/rest_api/REST/rest_api_concepts_SSL.md
canonical_url: https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_SSL.htm
source_site: help.tableau.com
content_type: documentation
content_hash: c5d2ed2310e59bb17eb9ccc1ffa3fe15c198c7a3d362ef4620e3fb3540961ae5
description: As a security measure, you should make API calls to Tableau Server using the HTTPS protocol (SSL or TLS)—that is, using an encrypted channel between your client and Tableau Server
---
[Skip to main content](#main-content)

# Using HTTPS (SSL/TLS) for API Calls

As a security measure, you should make API calls to Tableau Server using the HTTPS protocol (SSL or TLS)—that is, using an encrypted channel between your client and Tableau Server. Information is passed as plaintext between the client and server using XML or JSON blocks in the request and response body. Using HTTPS protocol helps keep this information secure.

To make API calls with HTTPS, you must configure Tableau Server to use SSL. For details, see [SSL](https://help.tableau.com/current/server/en-us/help.htm#ssl_config.htm) in the Tableau Server documentation. (If you are testing Tableau Server, you can install a self-signed certificate in order to support SSL.) If you make an HTTPS call to Tableau Server but you have not configured the server to use SSL, the server refuses the request.

When working with Tableau Cloud, you must use the HTTPS protocol to make API calls.